<?php

namespace Event\Event;

use User;

class Event
{
    /**
     * $prize object.
     */
    protected $prize;

    /**
     * Constructor.
     */
    public function __construct(\Event\Event\Interfaces\PrizeRepositoryInterface $prize)
    {
        $this->prize = $prize;
    }

    /**
     * Returns count of event.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.prize.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->prize->pushCriteria(new \Litepie\Event\Repositories\Criteria\PrizeUserCriteria());
        }

        $prize = $this->prize->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('event::' . $view, compact('prize'))->render();
    }
}
